=== debian/changelog ===
why3 (1.2.0-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip why3+z3 test on ppc64el, as it hangs indefinitely.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Oct 2019 10:30:48 +0200

why3 (1.2.0-3) unstable; urgency=medium

  * why3 1.2.0 supports z3 up to version 4.8.4 only (closes: #942344)
    - add a version constraint to Recommends
    - add a version constraint to the dependencies of test why3+z3
    - flag test why3+z3 as skip-not-installable
  * Standards-Version 4.4.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Tue, 15 Oct 2019 20:42:34 +0200

why3 (1.2.0-2ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Skip why3+z3 test on ppc64el, as it hangs indefinitely.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Aug 2019 08:27:50 +0200

why3 (1.2.0-2) unstable; urgency=medium

  * debian/rules: add build target 
  * Standards-Version 4.4.0 (no change)
  * Patch lablgtk3-beta6: Port to version beta6 of lablgtk3. Patch picked
    from upstream git. This fixes an issue with why3 not detecting
    lablgtk3-sourceview and hence not building the graphical interface.

 -- Ralf Treinen <treinen@debian.org>  Thu, 29 Aug 2019 21:23:49 +0200

why3 (1.2.0-1ubuntu4) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2019 19:50:11 +0200

why3 (1.2.0-1ubuntu3) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2019 15:04:27 +0200

why3 (1.2.0-1ubuntu2) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Jul 2019 10:17:03 +0200

why3 (1.2.0-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip why3+z3 test on ppc64el, as it hangs indefinitely.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2019 10:05:41 +0200

why3 (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Also build the library in bytecode
  * libwhy3-ocaml-dev: add Suggests:ocaml-findlib
  * Re-activate building of the ide, now using lablgtk3

 -- Ralf Treinen <treinen@debian.org>  Fri, 15 Feb 2019 08:19:55 +0100

why3 (1.1.1-4) unstable; urgency=medium

  * Add build-dependency ocaml-findlib (closes: #921465)
  * Replace dependency on debhelper by debhelper-compat
  * Enable coq support

 -- Ralf Treinen <treinen@debian.org>  Wed, 06 Feb 2019 20:57:54 +0100

why3 (0.88.3-3ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Skip why3+z3 test on ppc64el/s390x, as it hangs indefinitely.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Jun 2018 16:01:06 +0200

why3 (0.88.3-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Skip why3+z3 test on ppc64el/s390x, as it hangs indefinitely.
    - Implement per-architecture handling of the why3+cvc4 autopkgtest,
      since cvc4 is only available on x86.
  * Dropped changes, included in Debian:
    - debian/patches/portable-getopt.patch: fix unportable assumptions in
      getopt_long() handling.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 May 2018 16:17:06 -0700
