=== debian/changelog ===
why3 (1.2.1-6) unstable; urgency=medium

  * Add build-dependency libnum-ocaml-dev (used to be pulled in by coq)
  * Bump build-dependency on ocaml, as indicated by opam file

 -- Ralf Treinen <treinen@debian.org>  Sun, 08 Mar 2020 20:36:59 +0100

why3 (1.2.1-5) unstable; urgency=medium

  * debian/rules: include coqvars.mk, and set F:CoqABI substvar, only where
    that file exists.

 -- Ralf Treinen <treinen@debian.org>  Sun, 08 Mar 2020 17:34:13 +0100

why3 (1.2.1-4) unstable; urgency=medium

  * Support new coq versions:
    - add patch coq-8.10+11:
    - invoke autoconf in debian/rules, add it to build-depends
  * Since coq does no longer build on all release architectures:
    - Mark the test why3+coq as skip-not-installable
    - Restrict build-dependencies on coq to amd64 arm64 ppc64 ppc64el sh4
    - Restrict recommendation of why3-coq to amd64 arm64 ppc64 ppc64el sh4
    - Build why3-coq only on amd64 arm64 ppc64 ppc64el sh4
  * Standards-Version 4.5.0 (no change)
  * Drop override of dh_dwz which is no longer needed.

 -- Ralf Treinen <treinen@debian.org>  Sun, 08 Mar 2020 16:35:43 +0100

why3 (1.2.1-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Fix FTBFS with menhir 20200123 (Closes: #951052)

  [ Ralf Treinen ]
  * drop cvc3 from Recommends and debian/tests as the cvc3 package has
    been removed from sid.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 10 Feb 2020 13:57:51 +0100

why3 (1.2.1-2) unstable; urgency=medium

  * patch hardening-flags: use hardening flags when compiling the
    why3 server.

 -- Ralf Treinen <treinen@debian.org>  Sun, 03 Nov 2019 22:02:08 +0100

why3 (1.2.1-1) unstable; urgency=medium

  * New upstream version.
  * Drop patch lablgtk3-beta6 which is now applied by upstream.
  * Bumped dependency on z3 to << 4.8.7 (d/control and d/tests/control)

 -- Ralf Treinen <treinen@debian.org>  Mon, 28 Oct 2019 18:48:39 +0100
