=== debian/control ===
--- 
+++ 
@@ -5,14 +5,18 @@
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
   debhelper-compat (= 12), dh-ocaml,
-  ocaml-nox (>= 3.11.2),
+  autoconf,
+  ocaml-nox (>= 4.05.5),
   ocaml-findlib,
-  menhir, libmenhir-ocaml-dev,
+  menhir (>= 20200123),
+  libmenhir-ocaml-dev (>= 20200123),
   libzarith-ocaml-dev,
   libsqlite3-ocaml-dev,
   libzip-ocaml-dev,
+  libnum-ocaml-dev,
   libocamlgraph-ocaml-dev,
-  coq, libcoq-ocaml-dev,
+  coq [amd64 arm64 ppc64 ppc64el sh4],
+  libcoq-ocaml-dev [amd64 arm64 ppc64 ppc64el sh4],
   liblablgtk3-ocaml-dev, liblablgtksourceview3-ocaml-dev,
   tex-common
 Build-Depends-Indep:
@@ -21,7 +25,7 @@
   texlive-latex-recommended, texlive-latex-extra,
   texlive-fonts-recommended,
   texlive-bibtex-extra
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://why3.lri.fr/
 Vcs-Git: https://salsa.debian.org/ocaml-team/why3.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/why3
@@ -32,7 +36,7 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
-Recommends: cvc3 | cvc4 | why3-coq | spass | z3 (<< 4.8.5) | alt-ergo (>= 2.0.0)
+Recommends: cvc4 | why3-coq [amd64 arm64 ppc64 ppc64el sh4]| spass | z3 (<< 4.8.7) | alt-ergo (>= 2.0.0)
 Suggests: why3-examples
 Description: Software verification platform
  Why3 is a platform for deductive program verification. It provides a
@@ -56,7 +60,7 @@
  a new external prover if wanted.
 
 Package: why3-coq
-Architecture: any
+Architecture: amd64 arm64 ppc64 ppc64el sh4
 Depends: coq-${F:CoqABI}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Recommends: why3
 Description: Coq support for the why3 verification platform
