=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR=debian/tmp

HAVE_COQVARS ?= $(if $(wildcard /usr/share/coq/coqvars.mk),yes,no)

ifeq ($(HAVE_COQVARS),yes)
  include /usr/share/coq/coqvars.mk
endif

%:
	dh $@ --with ocaml,tex

override_dh_auto_configure: configure-stamp

configure-stamp:
	autoconf
	dh_auto_configure -- \
		--disable-emacs-compilation
	touch configure-stamp

build-arch: configure-stamp
	dh_testdir
	$(MAKE) all byte

build-indep: configure-stamp
	dh_testdir
	$(MAKE) doc

build: build-arch build-indep

override_dh_auto_install:
	# do nothing

override_dh_install-arch: build-arch
	$(MAKE) install install-lib DESTDIR=$(CURDIR)/$(BUILDDIR)
	dh_install -a -XLICENSE
ifeq ($(HAVE_COQVARS),yes)
	echo 'F:CoqABI=$(COQ_ABI)' >> debian/why3-coq.substvars
endif

override_dh_installexamples:
	dh_installexamples
	if [ -d debian/why3-examples/usr/share/doc/why3-examples/examples ]; \
	then \
	  find debian/why3-examples/usr/share/doc/why3-examples/examples \
	    -name why3shapes.gz \
	    -exec sh -c 'if [ $$(zcat {} | wc -c) -eq 0 ]; then \rm {}; fi' \;;\
	fi

override_dh_install-indep:
	# do nothing

override_dh_missing:
	dh_missing --fail-missing

override_dh_compress:
	dh_compress -Xmanual.pdf

override_dh_ocaml:
	dh_ocaml --nodefined-map=why3-coq:Why3,MenhirLib,Gzip,Zlib,Zip \
