## why3 1.3.1

=== debian/changelog ===
why3 (1.3.1-2) unstable; urgency=medium

  * Add Build-Depends-Indep: graphviz

 -- Ralf Treinen <treinen@debian.org>  Tue, 07 Apr 2020 19:11:39 +0200

why3 (1.3.1-1) unstable; urgency=medium

  * New upstream version.
    This version contains the micro-C plugin (closes: #950605)
  * Drop patches fixed by this upstream version:
    - coq-8.10+11
    - 0002-Move-menhirLib-from-EXTOBJS-to-EXTLIBS
  * Refresh patch hardening-flags
  * Upstream switched the building of the documentation to sphinx:
    - added build-dependencies python3-sphinx, python3-sphinxcontrib.bibtex
    - dropped build-dependencies rubber, hevea, lmodern
    - why3-doc-pdf.docs: update path of manual.pdf
  * configuration: explicitly set --libdir
  * debian/rules: simplify by using override_dh_auto_build-{arch,indep}
  * Test why+coq: use /tmp when $ADT_ARTIFACTS is not set
  * why3-doc-html:
    - depend on libjs-{jquery,underscore}
    - use why3-doc-html.links to symlink these libraries, replacing the
      embedded copies
    - remove calls to the mathjax library from generated html code
  
 -- Ralf Treinen <treinen@debian.org>  Mon, 06 Apr 2020 09:35:10 +0200
