=== debian/control ===
--- 
+++ 
@@ -20,11 +20,12 @@
   liblablgtk3-ocaml-dev, liblablgtksourceview3-ocaml-dev,
   tex-common
 Build-Depends-Indep:
-  rubber, hevea, lmodern,
+  python3-sphinx, python3-sphinxcontrib.bibtex,
   texlive-plain-generic,
   texlive-latex-recommended, texlive-latex-extra,
   texlive-fonts-recommended,
-  texlive-bibtex-extra
+  texlive-bibtex-extra,
+  graphviz
 Standards-Version: 4.5.0
 Homepage: http://why3.lri.fr/
 Vcs-Git: https://salsa.debian.org/ocaml-team/why3.git
@@ -89,7 +90,10 @@
 
 Package: why3-doc-html
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+  libjs-jquery,
+  libjs-underscore,
+  libjs-mathjax
 Suggests: why3
 Description: HTML Documentation of the why3 verification platform
  This package contains the tutorial and reference manual of the
