=== debian/rules ===
--- 
+++ 
@@ -11,23 +11,22 @@
 %:
 	dh $@ --with ocaml,tex
 
-override_dh_auto_configure: configure-stamp
-
-configure-stamp:
+override_dh_auto_configure:
 	autoconf
 	dh_auto_configure -- \
-		--disable-emacs-compilation
-	touch configure-stamp
+		--disable-emacs-compilation \
+		--libdir=/usr/lib/ocaml
 
-build-arch: configure-stamp
-	dh_testdir
+override_dh_auto_build-arch:
 	$(MAKE) all byte
 
-build-indep: configure-stamp
-	dh_testdir
+override_dh_auto_build-indep:
 	$(MAKE) doc
-
-build: build-arch build-indep
+	cd doc/html; \
+	for f in *.html; do \
+	  sed -e "s|https://cdnjs.cloudflare.com/ajax/libs/mathjax/[0-9.]\+/latest.js|/usr/share/javascript/mathjax/MathJax.js|" $$f > $$f.out; \
+	  mv $$f.out $$f; \
+	done
 
 override_dh_auto_install:
 	# do nothing
@@ -39,6 +38,9 @@
 	echo 'F:CoqABI=$(COQ_ABI)' >> debian/why3-coq.substvars
 endif
 
+override_dh_install-indep:
+	# do nothing
+
 override_dh_installexamples:
 	dh_installexamples
 	if [ -d debian/why3-examples/usr/share/doc/why3-examples/examples ]; \
@@ -48,9 +50,6 @@
 	    -exec sh -c 'if [ $$(zcat {} | wc -c) -eq 0 ]; then \rm {}; fi' \;;\
 	fi
 
-override_dh_install-indep:
-	# do nothing
-
 override_dh_missing:
 	dh_missing --fail-missing
