## why3 1.3.2

=== debian/changelog ===
why3 (1.3.2-1build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Sep 2020 15:12:55 +0200

why3 (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Add patch coq8.12: support coq versions 8.11.* and 8.12.*
    (thanks to Guillaume Melquiond)
  * Test why3+coq: send warning to stderr
  * Replace embedded sphinx javascript libraries by symlinks,
    and add dependency on libjs-sphinxdoc to package why3-doc-html.
  * debian/control: update architecture of the why3-coq package, and
    architecture strings in build-dependencies on coq stuff.

 -- Ralf Treinen <treinen@debian.org>  Thu, 10 Sep 2020 23:09:31 +0200

why3 (1.3.1-3) unstable; urgency=medium

  * Team upload
  * Include ocamlvars.mk to prevent FTBFS in dh_dwz
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Aug 2020 01:08:26 +0200
