=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Ralf Treinen <treinen@debian.org>
 Build-Depends:
-  debhelper-compat (= 12), dh-ocaml,
+  debhelper-compat (= 13), dh-ocaml,
   autoconf,
   ocaml-nox (>= 4.05.5),
   ocaml-findlib,
@@ -15,8 +15,8 @@
   libzip-ocaml-dev,
   libnum-ocaml-dev,
   libocamlgraph-ocaml-dev,
-  coq [amd64 arm64 ppc64 ppc64el sh4],
-  libcoq-ocaml-dev [amd64 arm64 ppc64 ppc64el sh4],
+  coq [!s390x],
+  libcoq-ocaml-dev [!s390x],
   liblablgtk3-ocaml-dev, liblablgtksourceview3-ocaml-dev,
   tex-common
 Build-Depends-Indep:
@@ -27,6 +27,7 @@
   texlive-bibtex-extra,
   graphviz
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://why3.lri.fr/
 Vcs-Git: https://salsa.debian.org/ocaml-team/why3.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/why3
@@ -37,7 +38,7 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
-Recommends: cvc4 | why3-coq [amd64 arm64 ppc64 ppc64el sh4]| spass | z3 (<< 4.8.7) | alt-ergo (>= 2.0.0)
+Recommends: cvc4 | why3-coq [!s390x]| spass | z3 (<< 4.8.7) | alt-ergo (>= 2.0.0)
 Suggests: why3-examples
 Description: Software verification platform
  Why3 is a platform for deductive program verification. It provides a
@@ -61,7 +62,7 @@
  a new external prover if wanted.
 
 Package: why3-coq
-Architecture: amd64 arm64 ppc64 ppc64el sh4
+Architecture: amd64 arm64 armel armhf i386 mipsel64 mipsel ppc64 ppc64el hurd-i386 powerpc ppc64el riscv64 sh4 sparc64 x32
 Depends: coq-${F:CoqABI}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Recommends: why3
 Description: Coq support for the why3 verification platform
@@ -93,7 +94,8 @@
 Depends: ${misc:Depends},
   libjs-jquery,
   libjs-underscore,
-  libjs-mathjax
+  libjs-mathjax,
+  libjs-sphinxdoc
 Suggests: why3
 Description: HTML Documentation of the why3 verification platform
  This package contains the tutorial and reference manual of the
