=== examples/euler001/Makefile ===
--- 
+++ 
@@ -37,10 +37,10 @@
 	$(WHY3) session html .
 
 $(MAIN).byte: $(CMO)  $(MAIN).cmo
-	ocamlc $(INCLUDE) $(BIGINTLIB).cma why3extract.cma -o $@ $^
+	ocamlc $(INCLUDE) $(BIGINTLIB).cma -o $@ $^
 
 $(MAIN).opt: $(CMX)  $(MAIN).cmx
-	$(OCAMLOPT) $(INCLUDE) $(BIGINTLIB).cmxa why3extract.cmxa -o $@ $^
+	$(OCAMLOPT) $(INCLUDE) $(BIGINTLIB).cmxa -o $@ $^
 
 $(MAIN).cmx: $(CMX)
