=== examples/vstte12_combinators/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	$(WHY3) session html .
 
 $(MAIN).opt: $(CMX)  $(MAIN).cmx
-	$(OCAMLOPT) $(INCLUDE) $(BIGINTLIB).cmxa why3extract.cmxa -o $@ $^
+	$(OCAMLOPT) $(INCLUDE) $(BIGINTLIB).cmxa -o $@ $^
 
 $(MAIN).cmx: $(CMX)
 
@@ -58,16 +58,15 @@
 
 JSMAIN=jsmain
 
-JSOCAMLC=ocamlfind ocamlc -package js_of_ocaml -package js_of_ocaml.syntax \
-          -syntax camlp4o
+JSOCAMLC=ocamlfind ocamlc -package js_of_ocaml -package js_of_ocaml.ppx -package js_of_ocaml-lwt
 
 $(JSMAIN).js: $(JSMAIN).byte
-	js_of_ocaml -pretty -noinline +nat.js $(JSMAIN).byte
+	js_of_ocaml --pretty --noinline +nat.js $(JSMAIN).byte
 
 
 $(JSMAIN).byte: $(CMO) jsmain.ml
 #	$(JSOCAMLC) $(INCLUDE) -o $@ -linkpkg $^
-	$(JSOCAMLC) $(INCLUDE) $(BIGINTLIB).cma why3extract.cma -o $@ -linkpkg $^
+	$(JSOCAMLC) $(INCLUDE) $(BIGINTLIB).cma -o $@ -linkpkg $^
 
 
 %.cmo: %.ml
