=== debian/changelog ===
why3 (1.3.3-3build1) jammy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 07 Nov 2021 02:00:39 +0100

why3 (1.3.3-3) unstable; urgency=medium

  * Add new tex-gyre dependency, useful to fix a build failure on
    pdflatex doc generation, Thanks <bunk> for the hint and patch!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Oct 2021 15:17:59 +0200

why3 (1.3.3-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Cherry-pick two upstream fixes for new sphinx-bibtex version:
    - d/p/99377bc169d86f86b167150624d248f01d9025f9.patch:
    - d/p/50f39bb6164bd40ed580a12452f83853f885c344.patch:
      (Closes: #995603)
  [ Ralf Treinen ]
  * debian/watch: format version 4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Oct 2021 09:47:54 +0200

why3 (1.3.3-1) unstable; urgency=medium

  * New upstream release:
    - drop patch why8.12, issue is solved by upstream
  * Alternative dependency of why3, and test dependency on cvc4: add a
    version constraint << 1.8 since cvc4 is supported only up to upstream
    version 1.7 (closes: #970510)

 -- Ralf Treinen <treinen@debian.org>  Wed, 23 Sep 2020 21:23:15 +0200
