=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
   texlive-latex-recommended, texlive-latex-extra,
   texlive-fonts-recommended,
   texlive-bibtex-extra,
+  tex-gyre,
   graphviz
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
@@ -38,7 +39,7 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
-Recommends: cvc4 | why3-coq [!s390x]| spass | z3 (<< 4.8.7) | alt-ergo (>= 2.0.0)
+Recommends: cvc4 (<< 1.8) | why3-coq [!s390x]| spass | z3 (<< 4.8.7) | alt-ergo (>= 2.0.0)
 Suggests: why3-examples
 Description: Software verification platform
  Why3 is a platform for deductive program verification. It provides a
