=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://gforge.inria.fr/frs/?group_id=2990 .*/why3-(.*)\.tar\.gz
